Index: branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOMCategoryName.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOMCategoryName.cs	(revision 198)
+++ branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOMCategoryName.cs	(revision 199)
@@ -55,7 +55,7 @@
 
         #endregion
 
-        #region パブリックメソッド
+        #region カテゴリ名称マスタ検索
         /// <summary>
         /// カテゴリ名称マスタ検索
         /// </summary>
@@ -65,27 +65,27 @@
         public bool SelectAction(string AddSQLString, ref List<CategoryNameMaster> data, bool bConnect = true)
         {
             // インターフェース
-            string strcmd = "";
+            StringBuilder strcmd = new StringBuilder();
             ArrayList arData = new ArrayList();
 
             try
             {
                 // SQL作成（DateTime型が変換できないのでCharに変換しておく）
-                strcmd = "SELECT";
+                strcmd.Append("SELECT");
 
-                strcmd += "  NameCode";
-                strcmd += " ,CategoryCode";
-                strcmd += " ,DisplayOrder";
-                strcmd += " ,CategoryName";
-                strcmd += " ,DeleteFlg";
+                strcmd.Append("  NameCode");
+                strcmd.Append(" ,CategoryCode");
+                strcmd.Append(" ,DisplayOrder");
+                strcmd.Append(" ,CategoryName");
+                strcmd.Append(" ,DeleteFlg");
 
-                strcmd += " ,DATE_FORMAT(EntryDate, '%Y/%m/%d %H:%i:%s')";
-                strcmd += " ,DATE_FORMAT(UpdateDate, '%Y/%m/%d %H:%i:%s')";
-                strcmd += " FROM CategoryNameMaster";
-                strcmd += AddSQLString;
+                strcmd.Append(" ,DATE_FORMAT(EntryDate, '%Y/%m/%d %H:%i:%s')");
+                strcmd.Append(" ,DATE_FORMAT(UpdateDate, '%Y/%m/%d %H:%i:%s')");
+                strcmd.Append(" FROM CategoryNameMaster");
+                strcmd.Append(AddSQLString);
 
                 // SQL実行
-                if (!ExecuteReader(strcmd, ref arData, bConnect)) return false;
+                if (!ExecuteReader(strcmd.ToString(), ref arData, bConnect)) return false;
 
                 // データセット
                 foreach (object[] objwrk in arData)
@@ -104,7 +104,9 @@
             }
 
         }
+        #endregion
 
+        #region カテゴリ名称マスタ追加
         /// <summary>
         /// カテゴリ名称マスタ追加
         /// </summary>
@@ -112,27 +114,27 @@
         /// <returns>true：成功 false：失敗</returns>
         public bool InsertAction(List<CategoryNameMaster> data, bool bConnect = true)
         {
-            string strcmd = "";
+            StringBuilder strcmd = new StringBuilder();
             try
             {
 
                 foreach (CategoryNameMaster work in data)
                 {
-                    strcmd = "INSERT INTO CategoryNameMaster";
+                    strcmd.Append("INSERT INTO CategoryNameMaster");
 
-                    strcmd += " VALUES (";
+                    strcmd.Append(" VALUES (");
 
-                    strcmd += string.Format("  {0}", work.NameCode.ToString());
-                    strcmd += string.Format(", {0}", work.CategoryCode.ToString());
-                    strcmd += string.Format(", {0}", work.DisplayOrder.ToString());
-                    strcmd += string.Format(",'{0}'", work.CategoryName.ToString());
-                    strcmd += string.Format(", {0}", work.DeleteFlg.ToString());
+                    strcmd.AppendFormat("  {0}", work.NameCode.ToString());
+                    strcmd.AppendFormat(", {0}", work.CategoryCode.ToString());
+                    strcmd.AppendFormat(", {0}", work.DisplayOrder.ToString());
+                    strcmd.AppendFormat(",'{0}'", work.CategoryName.ToString());
+                    strcmd.AppendFormat(", {0}", work.DeleteFlg.ToString());
 
-                    strcmd += ", NOW()";
-                    strcmd += ", NOW()";
-                    strcmd += ")";
+                    strcmd.Append(", NOW()");
+                    strcmd.Append(", NOW()");
+                    strcmd.Append(")");
 
-                    if (!ExecuteNonQuery(strcmd, bConnect)) return false;
+                    if (!ExecuteNonQuery(strcmd.ToString(), bConnect)) return false;
                 }
                 return true;
             }
@@ -142,7 +144,9 @@
                 return false;
             }
         }
+        #endregion
 
+        #region カテゴリ名称マスタ更新
         /// <summary>
         /// カテゴリ名称マスタ更新
         /// </summary>
@@ -151,24 +155,24 @@
         /// <returns>true：成功 false：失敗</returns>
         public bool UpdateAction(string AddSQLString, CategoryNameMaster data, bool bConnect = true)
         {
-            string strcmd = "";
+            StringBuilder strcmd = new StringBuilder();
             try
             {
 
-                strcmd = "UPDATE CategoryNameMaster";
+                strcmd.Append("UPDATE CategoryNameMaster");
 
-                strcmd += " SET";
+                strcmd.Append(" SET");
 
-                strcmd += string.Format(" NameCode = {0}", data.NameCode.ToString());
-                strcmd += string.Format(",CategoryCode = {0}", data.CategoryCode.ToString());
-                strcmd += string.Format(",DisplayOrder = {0}", data.DisplayOrder.ToString());
-                strcmd += string.Format(",CategoryName ='{0}'", data.CategoryName.ToString());
-                strcmd += string.Format(",DeleteFlg = {0}", data.DeleteFlg.ToString());
+                strcmd.AppendFormat(" NameCode = {0}", data.NameCode.ToString());
+                strcmd.AppendFormat(",CategoryCode = {0}", data.CategoryCode.ToString());
+                strcmd.AppendFormat(",DisplayOrder = {0}", data.DisplayOrder.ToString());
+                strcmd.AppendFormat(",CategoryName ='{0}'", data.CategoryName.ToString());
+                strcmd.AppendFormat(",DeleteFlg = {0}", data.DeleteFlg.ToString());
 
-                strcmd += ", UpdateDate = NOW()";
-                strcmd += AddSQLString;
+                strcmd.Append(", UpdateDate = NOW()");
+                strcmd.Append(AddSQLString);
 
-                if (!ExecuteNonQuery(strcmd, bConnect)) return false;
+                if (!ExecuteNonQuery(strcmd.ToString(), bConnect)) return false;
 
                 return true;
             }
@@ -178,8 +182,9 @@
                 return false;
             }
         }
+        #endregion
 
-
+        #region カテゴリ名称マスタ削除
         /// <summary>
         /// カテゴリ名称マスタ削除
         /// </summary>
@@ -189,12 +194,12 @@
         public bool DeleteAction(string AddSQLString, bool bConnect = true)
         {
             // インターフェース
-            string strcmd = "";
+            StringBuilder strcmd = new StringBuilder();
             try
             {
-                strcmd = string.Format("{0}{1}", "DELETE FROM CategoryNameMaster", AddSQLString);
+                strcmd.AppendFormat("{0}{1}", "DELETE FROM CategoryNameMaster", AddSQLString);
 
-                if (!ExecuteNonQuery(strcmd, bConnect)) return false;
+                if (!ExecuteNonQuery(strcmd.ToString(), bConnect)) return false;
 
                 return true;
             }
@@ -204,7 +209,9 @@
                 return false;
             }
         }
+        #endregion
 
+        #region 論理削除
         /// <summary>
         /// 論理削除
         /// </summary>
@@ -240,6 +247,9 @@
                 return false;
             }
         }
+        #endregion
+
+        #region OracleDataReaderより構造体へセットする
         /// <summary>
         /// OracleDataReaderより構造体へセットする
         /// </summary>
@@ -271,8 +281,7 @@
 
         #endregion
 
-        #region パブリックメソッド（特殊処理）
-
+        #region カテゴリ履歴の最大値を取得する
         /// <summary>
         /// カテゴリ履歴の最大値を取得する
         /// </summary>
@@ -282,16 +291,16 @@
         public int SelectMaxCategoryHistoryCount(string AddSQLString, bool bConnect = true)
         {
             // インターフェース
-            string strcmd = "";
+            StringBuilder strcmd = new StringBuilder();
             ArrayList arData = new ArrayList();
             int iRet = 0;
             try
             {
                 // SQL作成
-                strcmd = "SELECT MAX(CategoryCode) FROM CategoryNameMaster" + AddSQLString;
+                strcmd.AppendFormat("SELECT MAX(CategoryCode) FROM CategoryNameMaster{0}", AddSQLString);
 
                 // SQL実行
-                if (!ExecuteReader(strcmd, ref arData, bConnect)) return iRet;
+                if (!ExecuteReader(strcmd.ToString(), ref arData, bConnect)) return iRet;
 
                 // データセット
                 foreach (object[] objwrk in arData)
@@ -304,12 +313,14 @@
             }
             catch (Exception ex)
             {
-                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd.ToString());
             }
 
             return iRet;
         }
+        #endregion
 
+        #region 主キー検索の文字列を返す
         /// <summary>
         /// 主キー検索の文字列を返す
         /// </summary>
@@ -318,22 +329,22 @@
         /// <returns>Where文字列</returns>
         public string CreatePrimarykeyString(int NameCode, int CategoryCode = 0)
         {
-            string strWork = string.Empty;
+            StringBuilder strWork = new StringBuilder();
             try
             {
-                strWork = string.Format(" Where NameCode = {0}", NameCode);
+                strWork.AppendFormat(" Where NameCode = {0}", NameCode);
 
                 if (CategoryCode != 0)
                 {
-                    strWork += string.Format(" And CategoryCode = {0}", CategoryCode);
+                    strWork.AppendFormat(" And CategoryCode = {0}", CategoryCode);
                 }
             }
             catch (Exception ex)
             {
-                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strWork);
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strWork.ToString());
             }
 
-            return strWork;
+            return strWork.ToString();
         }
         #endregion
     }
Index: branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOMCommonCostLarge.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOMCommonCostLarge.cs	(revision 198)
+++ branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOMCommonCostLarge.cs	(revision 199)
@@ -55,7 +55,7 @@
 
         #endregion
 
-        #region パブリックメソッド
+        #region 共通費大項目マスタ検索SQL作成
         /// <summary>
         /// 共通費大項目マスタ検索
         /// </summary>
@@ -65,31 +65,39 @@
         private string CreateSelectSQL()
         {
             // SQL作成（DateTime型が変換できないのでCharに変換しておく）
-            string strcmd = "SELECT";
-            strcmd += "  LargeCode";
-            strcmd += " ,DisplayOrder";
-            strcmd += " ,LargeName";
-            strcmd += " ,CommentText";
-            strcmd += " ,DeleteFlg";
-            strcmd += " ,DATE_FORMAT(EntryDate, '%Y/%m/%d %H:%i:%s')";
-            strcmd += " ,DATE_FORMAT(UpdateDate, '%Y/%m/%d %H:%i:%s')";
-            strcmd += " FROM CommonCostLarge";
+            StringBuilder strcmd = new StringBuilder();
+            strcmd.Append("SELECT");
+            strcmd.Append("  LargeCode");
+            strcmd.Append(" ,DisplayOrder");
+            strcmd.Append(" ,LargeName");
+            strcmd.Append(" ,CommentText");
+            strcmd.Append(" ,DeleteFlg");
+            strcmd.Append(" ,DATE_FORMAT(EntryDate, '%Y/%m/%d %H:%i:%s')");
+            strcmd.Append(" ,DATE_FORMAT(UpdateDate, '%Y/%m/%d %H:%i:%s')");
+            strcmd.Append(" FROM CommonCostLarge");
 
-            return strcmd;
+            return strcmd.ToString();
         }
+        #endregion
+
+        #region 共通費大項目マスタ検索（複数）
+        /// <summary>
+        /// 共通費大項目マスタ検索（複数）
+        /// </summary>
         public bool SelectAction(string AddSQLString, ref List<CommonCostLarge> data, bool bConnect = true)
         {
             // インターフェース
-            string strcmd = "";
+            StringBuilder strcmd = new StringBuilder();
             ArrayList arData = new ArrayList();
 
             try
             {
-                // SQL作成（DateTime型が変換できないのでCharに変換しておく）
-                strcmd = CreateSelectSQL() + AddSQLString;
+                // SQL作成
+                strcmd.Append(CreateSelectSQL());
+                strcmd.Append(AddSQLString);
 
                 // SQL実行
-                if (!ExecuteReader(strcmd, ref arData, bConnect)) return false;
+                if (!ExecuteReader(strcmd.ToString(), ref arData, bConnect)) return false;
 
                 // データセット
                 foreach (object[] objwrk in arData)
@@ -103,24 +111,35 @@
             }
             catch (Exception ex)
             {
-                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd.ToString());
                 return false;
             }
 
         }
+        #endregion
+
+        #region 共通費大項目マスタ検索（1件）
+        /// <summary>
+        /// 共通費大項目マスタ検索（1件）
+        /// </summary>
+        /// <param name="AddSQLString"></param>
+        /// <param name="data"></param>
+        /// <param name="bConnect"></param>
+        /// <returns></returns>
         public bool SelectAction(string AddSQLString, ref CommonCostLarge data, bool bConnect = true)
         {
             // インターフェース
-            string strcmd = "";
+            StringBuilder strcmd = new StringBuilder();
             ArrayList arData = new ArrayList();
 
             try
             {
                 // SQL作成（DateTime型が変換できないのでCharに変換しておく）
-                strcmd = CreateSelectSQL() + AddSQLString;
+                strcmd.Append(CreateSelectSQL());
+                strcmd.Append(AddSQLString);
 
                 // SQL実行
-                if (!ExecuteReader(strcmd, ref arData, bConnect)) return false;
+                if (!ExecuteReader(strcmd.ToString(), ref arData, bConnect)) return false;
                 if (arData.Count == 0) return false;
 
                 // データセット
@@ -134,12 +153,14 @@
             }
             catch (Exception ex)
             {
-                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd.ToString());
                 return false;
             }
 
         }
+        #endregion
 
+        #region 共通費大項目マスタ追加（複数件）
         /// <summary>
         /// 共通費大項目マスタ追加（複数件）
         /// </summary>
@@ -147,50 +168,52 @@
         /// <returns>true：成功 false：失敗</returns>
         public bool InsertAction(List<CommonCostLarge> data, bool bConnect = true)
         {
-            string strcmd = "";
+            StringBuilder strcmd = new StringBuilder();
             try
             {
                 bool bColFirst = true;
-                strcmd = "INSERT INTO CommonCostLarge";
-                strcmd += " (";
+                strcmd.Append("INSERT INTO CommonCostLarge");
+                strcmd.Append(" (");
                 foreach (var gender in Enum.GetValues(typeof(NameColumn)))
                 {
-                    if (!bColFirst) strcmd += ", ";
-                    strcmd += gender.ToString();
+                    if (!bColFirst) strcmd.Append(", ");
+                    strcmd.Append(gender.ToString());
                     bColFirst = false;
                 }
-                strcmd += ") VALUES";
+                strcmd.Append(") VALUES");
 
                 bool bDataFirst = true;
                 foreach (CommonCostLarge work in data)
                 {
-                    if (bDataFirst) strcmd += " (";
-                    else strcmd += ", (";
+                    if (bDataFirst) strcmd.Append(" (");
+                    else strcmd.Append(", (");
 
-                    strcmd += string.Format("  {0}", work.LargeCode.ToString());
-                    strcmd += string.Format(", {0}", work.DisplayOrder.ToString());
-                    strcmd += string.Format(", '{0}'", work.LargeName);
-                    strcmd += string.Format(", '{0}'", work.CommentText);
-                    strcmd += string.Format(", {0}", work.DeleteFlg.ToString());
+                    strcmd.AppendFormat("  {0}", work.LargeCode.ToString());
+                    strcmd.AppendFormat(", {0}", work.DisplayOrder.ToString());
+                    strcmd.AppendFormat(", '{0}'", work.LargeName);
+                    strcmd.AppendFormat(", '{0}'", work.CommentText);
+                    strcmd.AppendFormat(", {0}", work.DeleteFlg.ToString());
 
-                    strcmd += string.Format(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", work.EntryDate);
-                    strcmd += string.Format(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", work.UpdateDate);
-                    strcmd += ")";
+                    strcmd.AppendFormat(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", work.EntryDate);
+                    strcmd.AppendFormat(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", work.UpdateDate);
+                    strcmd.Append(")");
 
                     bDataFirst = false;
                 }
 
-                if (!ExecuteNonQuery(strcmd, false)) return false;
+                if (!ExecuteNonQuery(strcmd.ToString(), false)) return false;
 
                 return true;
             }
             catch (Exception ex)
             {
-                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd.ToString());
                 return false;
             }
         }
+        #endregion
 
+        #region 共通費大項目マスタ更新
         /// <summary>
         /// 共通費大項目マスタ更新
         /// </summary>
@@ -199,35 +222,36 @@
         /// <returns>true：成功 false：失敗</returns>
         public bool UpdateAction(string AddSQLString, CommonCostLarge data, bool bConnect = true)
         {
-            string strcmd = "";
+            StringBuilder strcmd = new StringBuilder();
             try
             {
 
-                strcmd = "UPDATE CommonCostLarge";
+                strcmd.Append("UPDATE CommonCostLarge");
 
-                strcmd += " SET";
+                strcmd.Append(" SET");
 
-                strcmd += string.Format(" LargeCode = {0}", data.LargeCode.ToString());
-                strcmd += string.Format(",DisplayOrder = {0}", data.DisplayOrder.ToString());
-                strcmd += string.Format(",LargeName = '{0}'", data.LargeName);
-                strcmd += string.Format(",CommentText = '{0}'", data.CommentText);
-                strcmd += string.Format(",DeleteFlg = {0}", data.DeleteFlg.ToString());
+                strcmd.AppendFormat(" LargeCode = {0}", data.LargeCode.ToString());
+                strcmd.AppendFormat(",DisplayOrder = {0}", data.DisplayOrder.ToString());
+                strcmd.AppendFormat(",LargeName = '{0}'", data.LargeName);
+                strcmd.AppendFormat(",CommentText = '{0}'", data.CommentText);
+                strcmd.AppendFormat(",DeleteFlg = {0}", data.DeleteFlg.ToString());
 
-                strcmd += ", UpdateDate = NOW()";
-                strcmd += AddSQLString;
+                strcmd.Append(", UpdateDate = NOW()");
+                strcmd.Append(AddSQLString);
 
-                if (!ExecuteNonQuery(strcmd, bConnect)) return false;
+                if (!ExecuteNonQuery(strcmd.ToString(), bConnect)) return false;
 
                 return true;
             }
             catch (Exception ex)
             {
-                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd.ToString());
                 return false;
             }
         }
+        #endregion
 
-
+        #region 共通費大項目マスタ削除
         /// <summary>
         /// 共通費大項目マスタ削除
         /// </summary>
@@ -237,22 +261,24 @@
         public bool DeleteAction(string AddSQLString, bool bConnect = true)
         {
             // インターフェース
-            string strcmd = "";
+            StringBuilder strcmd = new StringBuilder();
             try
             {
-                strcmd = string.Format("{0}{1}", "DELETE FROM CommonCostLarge", AddSQLString);
+                strcmd.AppendFormat("{0}{1}", "DELETE FROM CommonCostLarge", AddSQLString);
 
-                if (!ExecuteNonQuery(strcmd, bConnect)) return false;
+                if (!ExecuteNonQuery(strcmd.ToString(), bConnect)) return false;
 
                 return true;
             }
             catch (Exception ex)
             {
-                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd.ToString());
                 return false;
             }
         }
+        #endregion
 
+        #region 論理削除
         /// <summary>
         /// 論理削除
         /// </summary>
@@ -289,6 +315,9 @@
                 return false;
             }
         }
+        #endregion
+
+        #region OracleDataReaderより構造体へセットする
         /// <summary>
         /// OracleDataReaderより構造体へセットする
         /// </summary>
@@ -317,11 +346,9 @@
                 logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
             }
         }
-
         #endregion
 
-        #region パブリックメソッド（特殊処理）
-
+        #region 最大値を取得する
         /// <summary>
         /// 最大値を取得する
         /// </summary>
@@ -331,16 +358,16 @@
         public int SelectMaxCommonCostLargeCount(string AddSQLString, bool bConnect = true)
         {
             // インターフェース
-            string strcmd = "";
+            StringBuilder strcmd = new StringBuilder();
             ArrayList arData = new ArrayList();
             int iRet = 0;
             try
             {
                 // SQL作成
-                strcmd = "SELECT IFNULL(MAX(LargeCode), 0) FROM CommonCostLarge" + AddSQLString;
+                strcmd.AppendFormat("SELECT IFNULL(MAX(LargeCode), 0) FROM CommonCostLarge", AddSQLString);
 
                 // SQL実行
-                if (!ExecuteReader(strcmd, ref arData, bConnect)) return iRet;
+                if (!ExecuteReader(strcmd.ToString(), ref arData, bConnect)) return iRet;
 
                 // データセット
                 foreach (object[] objwrk in arData)
@@ -353,12 +380,14 @@
             }
             catch (Exception ex)
             {
-                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd.ToString());
             }
 
             return iRet;
         }
+        #endregion
 
+        #region 主キー検索の文字列を返す
         /// <summary>
         /// 主キー検索の文字列を返す
         /// </summary>
@@ -366,17 +395,17 @@
         /// <returns>Where文字列</returns>
         public string CreatePrimarykeyString(int CommonCostLargeCode)
         {
-            string strWork = "";
+            StringBuilder strWork = new StringBuilder();
             try
             {
-                strWork = string.Format(" Where LargeCode = {0}", CommonCostLargeCode);
+                strWork.AppendFormat(" Where LargeCode = {0}", CommonCostLargeCode);
             }
             catch (Exception ex)
             {
-                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strWork);
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strWork.ToString());
             }
 
-            return strWork;
+            return strWork.ToString();
         }
         #endregion
     }
